aboutsummaryrefslogtreecommitdiffstats
path: root/copy.sh
diff options
context:
space:
mode:
authorDon Williams <don.e.williams@gmail.com>2026-01-26 05:33:42 -0500
committerDon Williams <don.e.williams@gmail.com>2026-01-26 05:33:42 -0500
commit30262a54d1e20ccd00bb43193ca393318fa78333 (patch)
treedf3e8b78ff89ea74fe3650ef56aaf0a6b88bee28 /copy.sh
parentd2823ec9b555f46f3ccd5022472877d81129d32a (diff)
Added check for rsync to copy.sh
On branch development Your branch is up to date with 'origin/development'. Changes to be committed: modified: copy.sh
Diffstat (limited to 'copy.sh')
-rwxr-xr-xcopy.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/copy.sh b/copy.sh
index 90dc1b83..8b5bb189 100755
--- a/copy.sh
+++ b/copy.sh
@@ -229,6 +229,11 @@ if [[ $EUID -eq 0 ]]; then
printf "\n%.0s" {1..2}
exit 1
fi
+# Ensure rsync is available before proceeding
+if ! command -v rsync >/dev/null 2>&1; then
+ echo "${ERROR} Required dependency 'rsync' is not installed. Please install rsync and rerun this script."
+ exit 1
+fi
# Function to print colorful text
print_color() {
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage